package com.tuoheng.admin.service;

import com.tuoheng.admin.request.third.DspCallbackRequest;
import com.tuoheng.admin.service.third.dsp.IDspCallbackService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class DspCallbackServiceTest {

    @Autowired
    private IDspCallbackService dspCallbackService;

    @Test
    public void testGetOneById() {
        String requestId = "dc96139337854ae78da7f20e144b3a9f";
        DspCallbackRequest dspCallbackRequest = new DspCallbackRequest();
        dspCallbackRequest.setAnalyseStatus(2);
        dspCallbackRequest.setType(1);
        dspCallbackService.saveCallbackData(requestId, dspCallbackRequest);
    }

}
